Bug 966122 - Unable to create new gadget
Unable to create new gadget
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER02
: 6.1.0
Assigned To: Default User
vramik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 10:20 EDT by vramik
Modified: 2013-11-07 09:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 09:23:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new_gadget_ex (20.32 KB, text/plain)
2013-05-22 10:20 EDT, vramik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3105 Major Resolved Shindig classloading issue in as7 2013-07-15 05:49:47 EDT

  None (edit)
Description vramik 2013-05-22 10:20:00 EDT
Created attachment 751735 [details]
new_gadget_ex

Description of problem:
Unable to create new gadget. Follow steps to reproduce.

Version-Release number of selected component (if applicable):
JPP6.1.0.DR1

How reproducible:
always

Steps to Reproduce:
1. sign in as a root
2. go to application registry
3. click Gadget
4. click Create a new gadget
5. type something into Name input field
6. click Save

Actual results:
Unknown error message occurs, there is NoClassDefFoundError: org/apache/shindig/gadgets/spec/GadgetSpec in log (I'm attaching full stacktrace)

Expected results:
gadget is created.
Comment 1 Boleslaw Dawidowicz 2013-06-06 09:05:31 EDT
This is not reproducable on gatein master but reproducable on 3.6.x-prod. So either it is related to EAP/AS diff or productization commits...
Comment 2 JBoss JIRA Server 2013-06-13 10:35:03 EDT
Nick Scavelli <nscavell@redhat.com> updated the status of jira GTNPORTAL-3105 to Resolved
Comment 4 vramik 2013-07-04 08:52:46 EDT
Verified in ER02

Note You need to log in before you can comment on or make changes to this bug.